Index: branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp
===================================================================
--- branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 719)
+++ branches/MESI/modules/vci_mem_cache/caba/source/src/vci_mem_cache.cpp	(revision 785)
@@ -9751,34 +9468,29 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
                     else if (r_cleanup_fsm.read() == CLEANUP_MISS_IXR_REQ)
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
-
-                    else
-                        m_cpt_trt_unused++;
-                }
-                else
-                    m_cpt_read_fsm_trt_used++;
+                }
                 break;
 
                 /////////////////////
             case ALLOC_TRT_WRITE:
-                if((r_write_fsm.read() != WRITE_MISS_TRT_LOCK) and
+                if ((r_write_fsm.read() != WRITE_MISS_TRT_LOCK) and
                    (r_write_fsm.read() != WRITE_INVAL_IVT_LOCK))
                 {
-                    if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -9788,13 +9500,13 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
@@ -9802,19 +9514,14 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
-
-                    else
-                        m_cpt_trt_unused++;
-                }
-                else
-                    m_cpt_write_fsm_trt_used++;
+                }
                 break;
 
                 ////////////////////
             case ALLOC_TRT_CAS:
-                if(r_cas_fsm.read() != CAS_MISS_TRT_LOCK) 
-                {
-                    if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                if (r_cas_fsm.read() != CAS_MISS_TRT_LOCK) 
+                {
+                    if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -9824,13 +9531,13 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
@@ -9838,19 +9545,14 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK)
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
-
-                    else
-                        m_cpt_trt_unused++;
-                }
-                else
-                    m_cpt_cas_fsm_trt_used++;
+                }
                 break;
                 ///////////////////////
             case ALLOC_TRT_IXR_CMD:
-                if((r_ixr_cmd_fsm.read() != IXR_CMD_READ_TRT) and
+                if ((r_ixr_cmd_fsm.read() != IXR_CMD_READ_TRT) and
                         (r_ixr_cmd_fsm.read() != IXR_CMD_WRITE_TRT) and
                         (r_ixr_cmd_fsm.read() != IXR_CMD_CAS_TRT) and
@@ -9859,13 +9561,13 @@
                         (r_ixr_cmd_fsm.read() != IXR_CMD_CONFIG_TRT))
                 {
-                    if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
@@ -9873,25 +9575,18 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
-
-                    else
-                        m_cpt_trt_unused++;
-                        
-                }
-                else
-                    m_cpt_ixr_cmd_fsm_trt_used++;
-                    
+                }
                 break;
 
                 ////////////////////////
             case ALLOC_TRT_XRAM_RSP:
-                if(((r_xram_rsp_fsm.read()  != XRAM_RSP_DIR_LOCK)  or
+                if (((r_xram_rsp_fsm.read()  != XRAM_RSP_DIR_LOCK)  or
                             (r_alloc_dir_fsm.read() != ALLOC_DIR_XRAM_RSP)) and
                         (r_xram_rsp_fsm.read()  != XRAM_RSP_TRT_COPY)  and
@@ -9899,9 +9594,9 @@
                         (r_xram_rsp_fsm.read()  != XRAM_RSP_IVT_LOCK))
                 {
-                    if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
@@ -9909,14 +9604,14 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -9925,18 +9620,13 @@
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CONFIG_TRT) )
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
-
-                    else
-                        m_cpt_trt_unused++;
-                }
-                else
-                    m_cpt_xram_rsp_fsm_trt_used++;
+                }
                 break;
 
                 ////////////////////////
             case ALLOC_TRT_IXR_RSP:
-                if((r_ixr_rsp_fsm.read() != IXR_RSP_TRT_ERASE) and
+                if ((r_ixr_rsp_fsm.read() != IXR_RSP_TRT_ERASE) and
                         (r_ixr_rsp_fsm.read() != IXR_RSP_TRT_READ))
                 {
-                    if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
 
@@ -9944,14 +9634,14 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -9961,18 +9651,13 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) &&
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) &&
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
-
-                    else
-                        m_cpt_trt_unused++;
-                }
-                else
-                    m_cpt_ixr_rsp_fsm_trt_used++;
+                }
                 break;
 
                 //////////////////////
             case ALLOC_TRT_CONFIG:
-                if((r_config_fsm.read() != CONFIG_TRT_LOCK) and
+                if ((r_config_fsm.read() != CONFIG_TRT_LOCK) and
                         (r_config_fsm.read() != CONFIG_TRT_SET))
                 {
@@ -9980,14 +9665,14 @@
                         r_alloc_trt_fsm = ALLOC_TRT_CLEANUP;
 
-                    else if(r_read_fsm.read() == READ_TRT_LOCK)
+                    else if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -9997,9 +9682,9 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) or
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
@@ -10009,16 +9694,16 @@
                 ////////////////////////
             case ALLOC_TRT_CLEANUP:
-                if(r_cleanup_fsm.read() != CLEANUP_MISS_IXR_REQ)
-                {
-                    if(r_read_fsm.read() == READ_TRT_LOCK)
+                if (r_cleanup_fsm.read() != CLEANUP_MISS_IXR_REQ)
+                {
+                    if (r_read_fsm.read() == READ_TRT_LOCK)
                         r_alloc_trt_fsm = ALLOC_TRT_READ;
 
-                    else if(r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
+                    else if (r_write_fsm.read() == WRITE_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
+                    else if (r_cas_fsm.read() == CAS_MISS_TRT_LOCK) 
                         r_alloc_trt_fsm = ALLOC_TRT_CAS;
 
-                    else if((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
+                    else if ((r_ixr_cmd_fsm.read() == IXR_CMD_READ_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_WRITE_TRT) or
                             (r_ixr_cmd_fsm.read() == IXR_CMD_CAS_TRT) or
@@ -10028,20 +9713,15 @@
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_CMD;
 
-                    else if((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
+                    else if ((r_xram_rsp_fsm.read()  == XRAM_RSP_DIR_LOCK) and
                             (r_alloc_dir_fsm.read() == ALLOC_DIR_XRAM_RSP))
                         r_alloc_trt_fsm = ALLOC_TRT_XRAM_RSP;
 
-                    else if((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) ||
+                    else if ((r_ixr_rsp_fsm.read() == IXR_RSP_TRT_ERASE) ||
                             (r_ixr_rsp_fsm.read() == IXR_RSP_TRT_READ))
                         r_alloc_trt_fsm = ALLOC_TRT_IXR_RSP;
 
-                    else if( r_config_fsm.read() == CONFIG_TRT_LOCK ) 
+                    else if (r_config_fsm.read() == CONFIG_TRT_LOCK ) 
                         r_alloc_trt_fsm = ALLOC_TRT_CONFIG;
-    
-                    else
-                        m_cpt_trt_unused ++;
-                }
-                else
-                    m_cpt_cleanup_fsm_trt_used++;
+                }
                 break;
 
@@ -10066,5 +9746,5 @@
                 r_alloc_heap_reset_cpt.write(r_alloc_heap_reset_cpt.read() + 1);
 
-                if(r_alloc_heap_reset_cpt.read() == (m_heap_size-1))
+                if (r_alloc_heap_reset_cpt.read() == (m_heap_size-1))
                 {
                     m_heap.init();
@@ -10076,5 +9756,5 @@
                 ////////////////////
             case ALLOC_HEAP_READ:
-                if((r_read_fsm.read() != READ_HEAP_REQ) and
+                if ((r_read_fsm.read() != READ_HEAP_REQ) and
                    (r_read_fsm.read() != READ_HEAP_LOCK) and
                    (r_read_fsm.read() != READ_HEAP_ERASE) and
@@ -10082,20 +9762,20 @@
                    (r_read_fsm.read() != READ_INVAL_HEAP_ERASE)) 
                 {
-                    if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
                 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    else if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
@@ -10103,29 +9783,27 @@
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_read_fsm_heap_used++;
                 break;
 
                 /////////////////////
             case ALLOC_HEAP_WRITE:
-                if((r_write_fsm.read() != WRITE_HEAP_REQ) and
+                if ((r_write_fsm.read() != WRITE_HEAP_REQ) and
                    (r_write_fsm.read() != WRITE_HEAP_ERASE)) 
                 {
-                    if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    else if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
-                    else if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    else if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
@@ -10134,31 +9812,29 @@
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_write_fsm_heap_used++;
                 break;
 
                 ////////////////////
             case ALLOC_HEAP_CAS:
-                if((r_cas_fsm.read() != CAS_MULTI_INVAL_HEAP_LOCK) and
+                if ((r_cas_fsm.read() != CAS_MULTI_INVAL_HEAP_LOCK) and
                         (r_cas_fsm.read() != CAS_MULTI_INVAL_REQ) and
                         (r_cas_fsm.read() != CAS_HEAP_NEXT))
                 {
-                    if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    else if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
-                    else if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    else if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
 
-                    else if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    else if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
@@ -10166,32 +9842,30 @@
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_cas_fsm_heap_used++;
                 break;
 
                 ///////////////////////
             case ALLOC_HEAP_CLEANUP:
-                if((r_cleanup_fsm.read() != CLEANUP_HEAP_REQ) and
+                if ((r_cleanup_fsm.read() != CLEANUP_HEAP_REQ) and
                         (r_cleanup_fsm.read() != CLEANUP_HEAP_LOCK) and
                         (r_cleanup_fsm.read() != CLEANUP_HEAP_SEARCH) and
                         (r_cleanup_fsm.read() != CLEANUP_HEAP_CLEAN))
                 {
-                    if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    else if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
-                    else if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    else if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
 
-                    else if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    else if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
@@ -10199,30 +9873,28 @@
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_cleanup_fsm_heap_used++;
                 break;
 
                 ////////////////////////
              case ALLOC_HEAP_MULTI_ACK:
-                if((r_multi_ack_fsm.read() != MULTI_ACK_HEAP_REQ) and
+                if ((r_multi_ack_fsm.read() != MULTI_ACK_HEAP_REQ) and
                         (r_multi_ack_fsm.read() != MULTI_ACK_HEAP_LOCK)) 
                 {
-                    if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
 
-                    else if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    else if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
-                    else if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    else if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
 
-                    else if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    else if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
 
@@ -10230,35 +9902,32 @@
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_multi_ack_fsm_heap_used++;
                 break;
 
                 ////////////////////////
             case ALLOC_HEAP_XRAM_RSP:
-                if((r_xram_rsp_fsm.read() != XRAM_RSP_HEAP_REQ) and
+                if ((r_xram_rsp_fsm.read() != XRAM_RSP_HEAP_REQ) and
                         (r_xram_rsp_fsm.read() != XRAM_RSP_HEAP_ERASE))
                 {
-                    if(r_config_fsm.read() == CONFIG_HEAP_REQ)
+                    if (r_config_fsm.read() == CONFIG_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CONFIG;
 
-                    else if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    else if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
 
-                    else if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    else if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
                     else
                         m_cpt_heap_unused++;
-
                 }
                 break;
@@ -10266,30 +9935,28 @@
                 ///////////////////////
             case ALLOC_HEAP_CONFIG:
-                if((r_config_fsm.read() != CONFIG_HEAP_REQ) and
+                if ((r_config_fsm.read() != CONFIG_HEAP_REQ) and
                         (r_config_fsm.read() != CONFIG_HEAP_SCAN))
                 {
-                    if((r_read_fsm.read() == READ_HEAP_REQ) or
+                    if ((r_read_fsm.read() == READ_HEAP_REQ) or
                             (r_read_fsm.read() == READ_INVAL_HEAP_REQ))
                         r_alloc_heap_fsm = ALLOC_HEAP_READ;
 
-                    else if(r_write_fsm.read() == WRITE_HEAP_REQ)
+                    else if (r_write_fsm.read() == WRITE_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_WRITE;
 
-                    else if(r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
+                    else if (r_cas_fsm.read() == CAS_MULTI_INVAL_HEAP_LOCK)
                         r_alloc_heap_fsm = ALLOC_HEAP_CAS;
 
-                    else if(r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
+                    else if (r_cleanup_fsm.read() == CLEANUP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_CLEANUP;
 
-                    else if(r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
+                    else if (r_multi_ack_fsm.read() == MULTI_ACK_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_MULTI_ACK;
 
-                    else if(r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
+                    else if (r_xram_rsp_fsm.read() == XRAM_RSP_HEAP_REQ)
                         r_alloc_heap_fsm = ALLOC_HEAP_XRAM_RSP;
                     else
                         m_cpt_heap_unused++;
                 }
-                else
-                    m_cpt_xram_rsp_fsm_heap_used++;
                 break;
 
@@ -10351,7 +10018,7 @@
         ////////////////////////////////////////////////////////////////////////////////////
 
-        if(cc_receive_to_cleanup_fifo_put)
+        if (cc_receive_to_cleanup_fifo_put)
         {
-            if(cc_receive_to_cleanup_fifo_get)
+            if (cc_receive_to_cleanup_fifo_get)
             {
                 m_cc_receive_to_cleanup_fifo.put_and_get( ((uint64_t)(p_dspin_p2m.eop.read()&0x1) << 32) | p_dspin_p2m.data.read() );
@@ -10364,5 +10031,5 @@
         else
         {
-            if(cc_receive_to_cleanup_fifo_get)
+            if (cc_receive_to_cleanup_fifo_get)
             {
                 m_cc_receive_to_cleanup_fifo.simple_get();
@@ -10377,7 +10044,7 @@
         ////////////////////////////////////////////////////////////////////////////////////
 
-        if(cc_receive_to_multi_ack_fifo_put)
+        if (cc_receive_to_multi_ack_fifo_put)
         {
-            if(cc_receive_to_multi_ack_fifo_get)
+            if (cc_receive_to_multi_ack_fifo_get)
             {
                 m_cc_receive_to_multi_ack_fifo.put_and_get( ((uint64_t)(p_dspin_p2m.eop.read()&0x1) << 32) | p_dspin_p2m.data.read() );
@@ -10390,5 +10057,5 @@
         else
         {
-            if(cc_receive_to_multi_ack_fifo_get)
+            if (cc_receive_to_multi_ack_fifo_get)
             {
                 m_cc_receive_to_multi_ack_fifo.simple_get();
@@ -10446,10 +10113,10 @@
         // The three sources of (increment / decrement) are CONFIG / CLEANUP / IXR_RSP FSMs
         ////////////////////////////////////////////////////////////////////////////////////
-        if ( config_rsp_lines_incr and not 
+        if (config_rsp_lines_incr and not 
              (config_rsp_lines_cleanup_decr or config_rsp_lines_ixr_rsp_decr) )
         {
             r_config_rsp_lines = r_config_rsp_lines.read() + 1;
         }
-        if ( not config_rsp_lines_incr and  
+        if (not config_rsp_lines_incr and  
              (config_rsp_lines_cleanup_decr or config_rsp_lines_ixr_rsp_decr) )
         {
